# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'


#
# Copyright (C) 1999-2000 VMware, Inc.
# All Rights Reserved
#
# $Id: test.pl,v 1.17 2000/10/20 18:54:57 brettv Exp $

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

$verbose = 1;
if (defined($ENV{'MAKELEVEL'}) && $ENV{'MAKELEVEL'} > 1) {
    $verbose = 0;
}

BEGIN { $| = 1; }
END {print "not ok 1\n" unless $loaded;
     exit 1 unless $loaded; }
use VMware::Control;
use VMware::Control::Server;
use VMware::Control::VM;
$loaded = 1;
print "ok 1\n" if $verbose;

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

$v = VMware::Control::version();
print "ok 2 (API Version: ",$v,")\n" if $verbose && $v;
print "not ok 2\n" if !$v;

if (! $v) {
    exit 1;
}

$vms = &VMware::Control::Server::new(undef, 0, undef, undef);

print "ok 3 ($vms)\n" if $verbose && $vms;
print "not ok 3 ($vms)\n" if ! $vms;

if (! $vms) {
    exit 1;
}

__END__


